.top-nav {
  position: fixed;
  background-color: var(--white);
  text-transform: uppercase;
  text-decoration: none;
  box-shadow: 0 3px 25px #0000001d;
  padding-top: 40px;
  width: 100%;
  z-index: 100;
  transition: all 0.3s ease-in-out;
}
.top-nav.scroll-down {
  padding: 0;
}
.top-nav-wrapper {
  display: flex;
  flex-direction: row;
  align-items: flex-end;
  justify-content: space-between;
}
.top-nav li:last-child a {
  padding-right: 0;
}
.top-nav nav {
  height: 100%;
}
.top-nav .logo img {
  max-height: 90px;
  max-width: 150px;
  padding: 20px 0;
  object-fit: contain;
}
.top-nav .nav-link.active {
  border-bottom: 3px solid var(--primary);
}
/* CHANGE FONT SIZE FOR LINKS HERE */
.top-nav .nav-link {
  padding: 16px 0 4px;
  display: block;
  text-decoration: none;
  border-bottom: 3px solid var(--white);
  transition: border 0.3s ease-in-out;
  color: var(--dark-grey);
  font-size: 15px;
  letter-spacing: 1px;
  font-weight: 550;
}
.top-nav .menu {
  display: flex;
  flex-direction: row;
  list-style-type: none;
  margin: 0;
  padding: 0;
}
.top-nav .menu > li {
  overflow: hidden;
  padding: 0 16px;
}
.top-nav .hamburger-button-container {
  display: none;
  height: 100%;
  width: 30px;
  cursor: pointer;
  flex-direction: column;
  justify-content: center;
  align-items: center;
}
.top-nav #hamburger-toggle {
  display: none;
}
.top-nav .hamburger-button,
.top-nav .hamburger-button:before,
.top-nav .hamburger-button:after {
  display: block;
  background-color: var(--dark-grey);
  position: absolute;
  height: 4px;
  width: 30px;
  transition: transform 0.3s ease-in-out;
  border-radius: 2px;
}
.top-nav .hamburger-button:before {
  content: "";
  margin-top: -8px;
}
.top-nav .hamburger-button:after {
  content: "";
  margin-top: 8px;
}
.top-nav
  #hamburger-toggle:checked
  + .hamburger-button-container
  .hamburger-button:before {
  margin-top: 0;
  transform: rotate(45deg);
}
.top-nav
  #hamburger-toggle:checked
  + .hamburger-button-container
  .hamburger-button {
  background: rgba(255, 255, 255, 0);
}
.top-nav
  #hamburger-toggle:checked
  + .hamburger-button-container
  .hamburger-button:after {
  margin-top: 0;
  transform: rotate(-45deg);
}

/* SAFARI FIX */

.mobile .top-nav .menu {
  position: absolute;
  top: 0;
  margin-top: 100px;
  left: 0;
  flex-direction: column;
  width: 100%;
  justify-content: center;
  align-items: center;
  background-color: var(--white);
}

/* / SAFARI FIX END */
@media (max-width: 1200px) {
  .top-nav .logo img {
    max-height: 90px;
    max-width: 170px;
  }
}
@media (max-width: 1024px) {
  .top-nav .logo img {
    max-height: 80px;
    max-width: 170px;
  }
  .top-nav {
    padding: 11px 0 0;
  }
  .top-nav .menu > li a {
    padding: 10px 0px 4px;
      font-size: 15px;
  letter-spacing: 1px;
  font-weight: 550;
    
  }
}
@media (max-width: 700px) {
  .top-nav .logo img {
    max-height: 90px;
    max-width: 180px;
  }
  .top-nav,
  .top-nav.scroll-down {
    padding: 0;
  }
  .top-nav .hamburger-button-container {
    display: flex;
    align-items: flex-end;
    position: absolute;
    right: 30px;
  }
  .top-nav .menu {
    position: absolute;
    top: 0;
    margin-top: 100px;
    left: 0;
    flex-direction: column;
    width: 100%;
    justify-content: center;
    align-items: center;
    background-color: var(--white);
  }
  .top-nav.scroll-down .menu {
    margin-top: 90px;
  }
  .top-nav #hamburger-toggle:checked ~ nav {
    position: static;
  }
  .top-nav #hamburger-toggle:checked ~ nav .menu {
    padding: 20px;
    box-shadow: 0 -3px 20px #00000012;
  }
  .top-nav #hamburger-toggle ~ nav .menu li {
    height: 0;
    margin: 0;
    padding: 0;
    border: 0;
    transition: height 0.4s cubic-bezier(0.23, 1, 0.32, 1);
  }
  .top-nav #hamburger-toggle:checked ~ nav .menu li {
    border-bottom: 1px solid var(--dark-grey);
    height: auto;
    padding: 0.5em;
    transition: height 0.4s cubic-bezier(0.23, 1, 0.32, 1);
  }
  .top-nav #hamburger-toggle:checked ~ nav .menu li:first-child {
    border-top: 1px solid var(--dark-grey);
  }
  .top-nav .menu > li {
    display: flex;
    justify-content: center;
    margin: 0;
    padding: 0.5em 0;
    width: 100%;
    color: #fff;
  }
  .top-nav .menu > li a {
    font-size: 20px;
    width: 100%;
    text-align: center;
  }
  .top-nav .menu > li a.active {
    border-color: transparent;
  }
}
